[ARVADOS] updated: 2.1.0-2489-gead34cd30
Git user
git at public.arvados.org
Mon May 16 17:28:02 UTC 2022
Summary of changes:
sdk/cwl/tests/arvados-tests.sh | 10 +++++++++-
1 file changed, 9 insertions(+), 1 deletion(-)
via ead34cd306205a1f477a3d72df3293f48d5da3eb (commit)
from 1f92b08e21c19dfa0c6d2260fe2fd8b24529e9e3 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit ead34cd306205a1f477a3d72df3293f48d5da3eb
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Mon May 16 13:20:29 2022 -0400
Fix arvados-tests.sh to use python from a-c-r package if available.
Add note about the purpose of arvados-tests.sh
refs #19070
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/sdk/cwl/tests/arvados-tests.sh b/sdk/cwl/tests/arvados-tests.sh
index 1bbaa505e..91b57efb2 100755
--- a/sdk/cwl/tests/arvados-tests.sh
+++ b/sdk/cwl/tests/arvados-tests.sh
@@ -2,6 +2,11 @@
# Copyright (C) The Arvados Authors. All rights reserved.
#
# SPDX-License-Identifier: Apache-2.0
+#
+# This in an additional integration test suite for Arvados specific
+# bugs and features that are not covered by the unit tests or CWL
+# conformance tests.
+#
set -e
@@ -18,6 +23,9 @@ if ! arv-get 20850f01122e860fb878758ac1320877+71 > /dev/null ; then
arv-put --portable-data-hash samples/sample1_S01_R1_001.fastq.gz
fi
+# Use the python executor associated with the installed OS package, if present.
+python=$(((ls /usr/share/python3*/dist/python3-arvados-cwl-runner/bin/python || echo python) | head -n1) 2>/dev/null)
+
# Test for #18888
# This is a standalone test because the bug was observed with this
# command line and was thought to be due to command line handling.
@@ -26,7 +34,7 @@ arvados-cwl-runner 18888-download_def.cwl --scripts scripts/
# Test for #19070
# The most effective way to test this seemed to be to write an
# integration test to check for the expected behavior.
-python test_copy_deps.py
+$python test_copy_deps.py
# Run integration tests
exec cwltest --test arvados-tests.yml --tool arvados-cwl-runner $@ -- --disable-reuse --compute-checksum --api=containers
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list